Skip to main content
GET
Product catalog

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>
default:ACTIVATE

Product status filter.

Available options:
ALL,
DRAFT,
PENDING,
FAILED,
ACTIVATE,
SELLER_DEACTIVATED,
PLATFORM_DEACTIVATED,
FREEZE,
DELETED
page_size
integer
default:50

Products per page, 1 to 100 (default 50).

Required range: 1 <= x <= 100
page_token
string

The previous page's nextPageToken.

organization_id
integer

Use the TikTok Shop of this child brand (organization id) of your API key's organization

Response

One page of products.

shopId
string
products
object[]
totalCount
integer | null
nextPageToken
string | null